# xintsession README #

Release: 0.2a (2021-05-06)

## Usage ##

xintsession.tex is to be used with etex (or pdftex or the other engines
with Plain as preloaded format) *interactively on the command line*.

It will load [xintexpr](http://www.ctan.org/pkg/xint) and
[polexpr](http://www.ctan.org/pkg/polexpr)
(its version `0.8` or later is needed).

You need 2 steps to start a session:

1. execute `etex xintsession`, or if available, `rlwrap etex xintsession`
   to benefit from arrow keys navigation and other improvements such
   as parentheses highlighting.
   Alternatively, execute `rlwrap etex` and enter `xintsession` at the `**`
   prompt.
   One can also use the `-jobname` option of `etex` at this step.
2. a welcome message is printed, hit the `RET` key at the `*` prompt.

The above explanations have been tested on a Unixen (Mac OS), and probably
`rlwrap` is not available on all platforms, but it is not a requirement.

At my locale I added `alias xs="rlwrap etex xintsession"` to my `.bashrc`
so I only have to type `xs` at the command line.

You are now ready to make computations!
Here is a sample session (spaces do not matter):

    (Please type a command or say `\end')
    *  1+1/2+1/3+1/4+1/5;
    (@_1)    137/60
    *  @_^3 ;
    (@_2)    2571353/216000
    *  add(1/i, i=1..50);
    (@_3)    13943237577224054960759/3099044504245996706400
    *&fp
    fp mode (16 digits)
    *  @_;
    (@_4)    4.499205338329425
    *  add(1/i, i=1..1000);
    (@_5)    7.485470860550346
    *&bye
    Did I say something wrong?
    Session transcript written on xintsession-210413_20h24.tex
    No pages of output.
    Transcript written on xintsession.log.

As this example shows, the computational engine can work in various
modes: exact, fp, int, and pol.  Say `&fp=number` at the prompt
to activate floating point mode with `number` as Digits (scientific
functions implemented up to 62 digits at xint 1.4e).

If ill-formed input drops you into TeX error interaction mode, try
hitting `S` it may work to bring you back to normal session.

For important explanations, enter `&help` at the prompt.

## License ##

Copyright (c) 2021 Jean-François Burnol

See documentation of package [xintexpr](http://www.ctan.org/pkg/xint) for
contact information.

This Work may be distributed and/or modified under the conditions of the
LaTeX Project Public License version 1.3c. This version of this license
is in

> <http://www.latex-project.org/lppl/lppl-1-3c.txt>

and version 1.3 or later is part of all distributions of LaTeX version
2005/12/01 or later.

This Work has the LPPL maintenance status author-maintained.

The Author of this Work is Jean-François Burnol.

This Work consists of the package files xintsession.tex and README.md
